#
# scpkt8.rb
#
# $Id: scpkt8.rb,v 1.1 2000/11/21 03:02:06 keiko Exp $
#

require "narray"
require "dcl"

include DCL
include Math


NX = 37
XMIN = 0
XMAX = 360
YMIN = 0
YMAX = 180
DRAD = PI/180

alon = NArray.sfloat(NX)
alat = NArray.sfloat(NX)
r = NArray.sfloat(NX)
a = NArray.sfloat( NX)

#-- data ---
alon.indgen(XMIN, (XMAX-XMIN)/(NX-1).to_f)
alat.indgen(YMIN, (YMAX-YMIN)/(NX-1).to_f)
r.fill!(1.0)

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i

sgopn iws

sgfrm
sglset('LDEG', true)

#---------------- 3-D ------------------
scsorg(1.0, 0.0, 0.0, 0.0)
scstrn(3)
scstrf

scseye(5.0, 1.0, 2.0)
scsobj(0.0, 0.0, 0.0)
scsprj

scspmt(10)
scspmi(1)
scspms(0.01)

for i in 0..NX-1
  a.fill!(alat[i])
  scplu(NX, r, a, alon)
  scpmu(NX, r, a, alon)
end

sgcls


