#
# sgksx2.rb
#
# $Id: sgksx2.rb,v 1.1 2000/11/21 03:02:07 keiko Exp $
#

require "narray"
require "dcl"

include DCL
include Math


#-- data ---
ux = NArray[2.0, 4.0, 5.0, 7.0, 8.0]
uy = NArray[4.0, 5.0, 4.0, 5.0, 4.0]
vx = NArray[0.2, 0.4, 0.5, 0.7, 0.8]
vy = NArray[0.5, 0.6, 0.5, 0.6, 0.5]

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

#     TEST POLYLINE, POLYMARKER, TEXT PRIMITIVE IN WC.
#     TEST POLYLINE, POLYMARKER, TEXT PRIMITIVE IN NDC.
#     TRANSFORMATION FUNCTION : LINEAR*LINEAR
#     NO-CLIPPING, FONT NO.=1
sgfrm
sgiset('IFONT', 1)
sgswnd(0.0, 10.0, 0.0, 10.0)
sgsvpt(0.0, 1.0, 0.0, 1.0)
sgstrn(1)
sgstrf

sglnzu(0.1, 0.1, 9.9, 0.1, 1)
sglnzu(9.9, 0.1, 9.9, 9.9, 1)
sglnzu(9.9, 9.9, 0.1, 9.9, 1)
sglnzu(0.1, 9.9, 0.1, 0.1, 1)

sgplzu(5, ux, uy, 2, 3)
sgpmzu(5, ux, uy, 5, 3, 0.04)
vx1, vy1 = stftrf(ux[0], uy[0])
vx2, vy2 = stftrf(ux[3], uy[3])
sglnzv(vx1, vy1, vx2, vy2, 2)
sgtxzu(5.0, 8.5, 'TESTU', 0.1, 0, 0, 3)

sgswnd(2.5, 7.5, 2.5, 7.5)
sgsvpt(0.25, 0.75, 0.25, 0.75)
sgstrn(1)
sgstrf

sgplzv(5, vx, vy, 3, 1)
sgpmzv(5, vx, vy, 4, 1, 0.02)
sgtxzv(0.5, 0.75, 'TESTV', 0.1, 0, 0, 3)

#     TEST POLYLINE, POLYMARKER, TEXT PRIMITIVE IN WC.
#     TEST POLYLINE, POLYMARKER, TEXT PRIMITIVE IN NDC.
#     TRANSFORMATION FUNCTION : LINEAR*LINEAR
#     CLIPPING, FONT NO.=2
sgfrm
sgiset('IFONT', 2)
sgswnd(0.0, 10.0, 0.0, 10.0)
sgsvpt(0.0, 1.0, 0.0, 1.0)
sgstrn(1)
sgstrf

sglnzu(0.1, 0.1, 9.9, 0.1, 1)
sglnzu(9.9, 0.1, 9.9, 9.9, 1)
sglnzu(9.9, 9.9, 0.1, 9.9, 1)
sglnzu(0.1, 9.9, 0.1, 0.1, 1)

sgplzu(5, ux, uy, 2, 3)
sgpmzu(5, ux, uy, 5, 3, 0.04)
vx1, vy1 = stftrf(ux[0], uy[0])
vx2, vy2 = stftrf(ux[3], uy[3])
sglnzv(vx1, vy1, vx2, vy2, 2)
sgtxzu(5.0, 8.5, 'TESTU', 0.1, 0, 0, 3)

sgswnd(2.5, 7.5, 2.5, 7.5)
sgsvpt(0.25, 0.75, 0.25, 0.75)
sgstrn(1)
sgstrf

sglset('LCLIP', true)
slpvpr(1)
sgplzv(5, vx, vy, 3, 1)
sgpmzv(5, vx, vy, 4, 1, 0.02)
sgtxzv(0.5, 0.75, 'TESTV', 0.1, 0, 0, 3)

sgcls

