#
# u1d1.rb
#
# $Id: u1d1.rb,v 1.1 2000/11/21 03:15:29 keiko Exp $
#

require "num/numarray"
require "num/dcl"

include Num::DCL
include Math


NMAX = 51
XMIN = 1945
XMAX = 1995

y = NumArray.new(Float, NMAX)

#-- data ----
y0 = 0.5
for n in 0..NMAX-1
  y[n] = 5.0*y0 + 10.0
  y0 = 3.7*y0*(1.0-y0)
end

rundef = glrget('RUNDEF')

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

grswnd(XMIN, XMAX, rundef, rundef)
ussttl('TIME', 'YEAR', 'TEMPERATURE', 'DEG')
usgrph(NMAX, rundef, y)

grcls

