#
# u1d2.rb
#
# $Id: u1d2.rb,v 1.1 2000/11/21 03:15:29 keiko Exp $
#

require "num/numarray"
require "num/dcl"

include Num::DCL
include Math


NMAX = 50
YMIN = 0.0
YMAX = 50.0

x1 = NumArray.new(Float, NMAX+1)
x2 = NumArray.new(Float, NMAX+1)

#-- data ----
ISEED = 0
for n in 0..NMAX
  y = YMIN + (YMAX-YMIN)*n/NMAX
  x1[n] = 10.0*(exp(-y/20))**2 * exp((rand(ISEED)-0.5)*2)**2
  x2[n] = 10.0*(exp(-y/20))**2
end

rundef = glrget('RUNDEF')

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

grswnd(rundef, rundef, YMIN, YMAX)
usspnt(NMAX+1, x1, rundef)
usspnt(NMAX+1, x2, rundef)
grstrn(3)
uspfit
grstrf

ussttl('MIXING RATIO', 'ppmv', 'HEIGHT', 'km')
usdaxs

uusmkt(2)
uumrk(NMAX+1, x1, rundef)

uulin(NMAX+1, x2, rundef)

grcls

